package ink.wgink.module.instantmessage.websocket.pojo.body;

import ink.wgink.module.instantmessage.websocket.enums.SendStatusEnum;

/**
 * @ClassName: SendStatusBody
 * @Description: 发送状态
 * @Author: wanggeng
 * @Date: 2021/9/12 10:08 下午
 * @Version: 1.0
 */
public class SendStatusBody {
    private Integer code;
    private SendStatusEnum status;
    private String msg;

    public SendStatusBody() {
    }

    public SendStatusBody(int code, SendStatusEnum status, String msg) {
        this.code = code;
        this.status = status;
        this.msg = msg;
    }

    public Integer getCode() {
        return code == null ? 0 : code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public SendStatusEnum getStatus() {
        return status;
    }

    public void setStatus(SendStatusEnum status) {
        this.status = status;
    }

    public String getMsg() {
        return msg == null ? "" : msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
